Clone an environment
curl --request POST \
--url https://us.api.flexprice.io/v1/environments/{id}/clone \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"name": "<string>",
"target_environment_id": "<string>"
}
'import requests
url = "https://us.api.flexprice.io/v1/environments/{id}/clone"
payload = {
"name": "<string>",
"target_environment_id": "<string>"
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>', target_environment_id: '<string>'})
};
fetch('https://us.api.flexprice.io/v1/environments/{id}/clone', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "<string>",
"run_id": "<string>",
"workflow_id": "<string>"
}{
"http_status_code": 123,
"message": "<string>"
}{
"http_status_code": 123,
"message": "<string>"
}{
"http_status_code": 123,
"message": "<string>"
}Environments
Clone an environment
Clone all published features and plans from the source environment into a target environment. If target_environment_id is provided, entities are cloned into that existing environment. Otherwise a new environment is created from name and type first.
POST
/
environments
/
{id}
/
clone
Clone an environment
Authorizations
Enter your API key in the format x-api-key <api-key>*
Path Parameters
Source Environment ID
Body
application/json
Clone configuration
Name of the new environment (required when target_environment_id is not provided)
TargetEnvironmentID is the ID of an existing environment to clone into (optional). When provided, Name and Type are ignored. When omitted, Name and Type are required.
Available options:
development, production ⌘I

